Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class UCMClearcaseAdaptorFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.VcsFacade
          com.luntsys.luntbuild.remoting.UCMClearcaseAdaptorFacade

public class UCMClearcaseAdaptorFacade
extends VcsFacade

Facade of ucm clearcase adaptor. This adaptor does not support modules definition

Author:
  robin shine

Field Summary
`static java.lang.String` | `BASELINE_FOUNDATION`
`static java.lang.String` | `BASELINE_LATEST`
`static java.lang.String` | `BASELINE_RECOMMENDED`
`static java.lang.String` | `BUILD_FOUNDATION_BASELINES`
`static java.lang.String` | `BUILD_LATEST`
`static java.lang.String` | `BUILD_LATEST_BASELINES`
`static java.lang.String` | `BUILD_RECOMMENDED_BASELINES`

Constructor Summary
`UCMClearcaseAdaptorFacade()`

Method Summary
`java.lang.String` | `getMkviewExtraOpts()` Get extra options for creating clearcase views.
`java.lang.String` | `getModificationDetectionConfig()` Get modification detection config string.
`java.lang.String` | `getProjectVob()` Get the UCM project vob.
`java.lang.String` | `getStream()` Get UCM stream.
`java.lang.String` | `getVcsClassName()` Get the corresponding vcs adaptor class name
`java.lang.String` | `getViewStgLoc()` Get view storage location.
`java.lang.String` | `getVws()` Get explicit path for view storage.
`java.lang.String` | `getWhatToBuild()` Get what to build string.
`void` | `setMkviewExtraOpts(java.lang.String mkviewExtraOpts)` Set extra options for creating clearcase views
`void` | `setModificationDetectionConfig(java.lang.String modificationDetectionConfig)` Set modification detection config string
`void` | `setProjectVob(java.lang.String projectVob)` Set UCM project vob
`void` | `setStream(java.lang.String stream)` Set UCM stream.
`void` | `setViewStgLoc(java.lang.String viewStgLoc)` Set view storage location.
`void` | `setVws(java.lang.String vws)` Set explicit path for view storage.
`void` | `setWhatToBuild(java.lang.String whatToBuild)` Set what to build string.

Methods inherited from class com.luntsys.luntbuild.remoting.VcsFacade
`getModules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILD_LATEST

    public static final java.lang.String BUILD_LATEST

See Also:
  Constant Field Values

### BUILD_LATEST_BASELINES

    public static final java.lang.String BUILD_LATEST_BASELINES

See Also:
  Constant Field Values

### BUILD_RECOMMENDED_BASELINES

    public static final java.lang.String BUILD_RECOMMENDED_BASELINES

See Also:
  Constant Field Values

### BUILD_FOUNDATION_BASELINES

    public static final java.lang.String BUILD_FOUNDATION_BASELINES

See Also:
  Constant Field Values

### BASELINE_FOUNDATION

    public static final java.lang.String BASELINE_FOUNDATION

See Also:
  Constant Field Values

### BASELINE_LATEST

    public static final java.lang.String BASELINE_LATEST

See Also:
  Constant Field Values

### BASELINE_RECOMMENDED

    public static final java.lang.String BASELINE_RECOMMENDED

See Also:
  Constant Field Values

Constructor Detail

### UCMClearcaseAdaptorFacade

    public UCMClearcaseAdaptorFacade()

Method Detail

### getViewStgLoc

    public java.lang.String getViewStgLoc()

  Get view storage location. This is a project level property. It will be used as -stgloc option when creates clearcase views

  Returns:
    view storage location

### setViewStgLoc

    public void setViewStgLoc(java.lang.String viewStgLoc)

  Set view storage location.

  Parameters:
    `viewStgLoc` -

### getProjectVob

    public java.lang.String getProjectVob()

  Get the UCM project vob. This is a project level property.

  Returns:
    UCM project vob

### setProjectVob

    public void setProjectVob(java.lang.String projectVob)

  Set UCM project vob

  Parameters:
    `projectVob` -

### getVws

    public java.lang.String getVws()

  Get explicit path for view storage. This is a view level property which will be used as the "-vws" option. This option can override the project level "-stgloc" option.

  Returns:
    explicit path for view storage

### setVws

    public void setVws(java.lang.String vws)

  Set explicit path for view storage.

  Parameters:
    `vws` -

### getStream

    public java.lang.String getStream()

  Get UCM stream. This is a view level property

  Returns:
    UCM stream

### setStream

    public void setStream(java.lang.String stream)

  Set UCM stream.

  Parameters:
    `stream` -

### getWhatToBuild

    public java.lang.String getWhatToBuild()

  Get what to build string. This is a view level property. Refer to user manual for detailed information about this property.

  Returns:
    what to build property

### setWhatToBuild

    public void setWhatToBuild(java.lang.String whatToBuild)

  Set what to build string.

  Parameters:
    `whatToBuild` -

### getModificationDetectionConfig

    public java.lang.String getModificationDetectionConfig()

  Get modification detection config string. This is a view level property. Refer to user manual for detailed information

  Returns:
    modification detection config string

### setModificationDetectionConfig

    public void setModificationDetectionConfig(java.lang.String modificationDetectionConfig)

  Set modification detection config string

  Parameters:
    `modificationDetectionConfig` -

### getMkviewExtraOpts

    public java.lang.String getMkviewExtraOpts()

  Get extra options for creating clearcase views. This is a view level property

  Returns:
    extra options for creating clearcase views

### setMkviewExtraOpts

    public void setMkviewExtraOpts(java.lang.String mkviewExtraOpts)

  Set extra options for creating clearcase views

  Parameters:
    `mkviewExtraOpts` -

### getVcsClassName

    public java.lang.String getVcsClassName()

  Description copied from class: `VcsFacade`
  Get the corresponding vcs adaptor class name

  Specified by:
    `getVcsClassName` in class `VcsFacade`
  Returns:
    vcs adaptor class name

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.